%define	upstream_name	 Config-General
%define upstream_version 2.61

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generic Config perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildArch:  noarch

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changelog README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changelog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.610.0-2.mga6
+ Revision: 1024287
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.610.0-1.mga6
+ Revision: 1007440
- update to 2.61

* Sat Jan 16 2016 shlomif <shlomif> 2.600.0-1.mga6
+ Revision: 923689
- update to 2.60

* Sat Jul 04 2015 sander85 <sander85> 2.580.0-1.mga6
+ Revision: 850473
- update to 2.58

* Sun Oct 19 2014 umeabot <umeabot> 2.560.0-4.mga5
+ Revision: 789925
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.560.0-3.mga5
+ Revision: 740285
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.560.0-2.mga5
+ Revision: 683977
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 2.560.0-1.mga5
+ Revision: 620478
- update to 2.56

* Sat Oct 19 2013 umeabot <umeabot> 2.520.0-2.mga4
+ Revision: 529485
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 2.520.0-1.mga4
+ Revision: 451940
- update to 2.52

* Sun Jan 13 2013 umeabot <umeabot> 2.510.0-2.mga3
+ Revision: 364620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 2.510.0-1.mga3
+ Revision: 285202
- update to 2.51

* Fri Jan 21 2011 jquelin <jquelin> 2.500.0-1.mga1
+ Revision: 29948
- mageia rebuild
- imported package perl-Config-General


* Thu Dec 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.500.0-1mdv2011.0
+ Revision: 604709
- update to new version 2.50

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.490.0-1mdv2011.0
+ Revision: 553075
- update to 2.49

* Wed Apr 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.480.0-1mdv2010.1
+ Revision: 534937
- new version

* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 2.460.0-1mdv2010.1
+ Revision: 533383
- update to 2.46

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 2.450.0-1mdv2010.1
+ Revision: 532139
- update to 2.45

* Wed Sep 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.440.0-1mdv2010.0
+ Revision: 434697
- update to new version 2.44

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 2.430.0-1mdv2010.0
+ Revision: 398853
- update to 2.43
- using %%perl_convert_version
- fixed license field

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.42-1mdv2009.1
+ Revision: 320426
- update to new version 2.42

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.40-1mdv2009.0
+ Revision: 227970
- update to new version 2.40

* Tue Jun 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.39-1mdv2009.0
+ Revision: 222652
- update to new version 2.39

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.38-1mdv2008.1
+ Revision: 177902
- update to new version 2.38

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.37-1mdv2008.1
+ Revision: 113420
- update to new version 2.37
- update to new version 2.37

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 2.36-1mdv2008.1
+ Revision: 100834
- update to new version 2.36

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.33-1mdv2008.0
+ Revision: 19811
- 2.33


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.32-1mdv2007.1
+ Revision: 138794
- new version
- Import perl-Config-General

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.31-1mdk
- New release 2.31

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.30-1mdk
- New release 2.30
- fix source URL
- don't ship empty directories
- make test in %%check
- fix doc files perms
- non-redundant summary

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.29-1mdk
- 2.29

* Sat May 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.28-1mdk
- 2.28
- Make rpmbuildable

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.27-2mdk
- rebuild for new perl

* Sun Jun 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.27-1mdk
- 2.27

* Tue Mar 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.26-1mdk
- 2.26

